/*
   SHAPESHIFTER DIY OPEN SOURCE DRUM MACHINE
   by FASELUNARE.COM

   https://github.com/faselunare/shapeshifter
   Released under the GPLv3 license.

  Author: Arturo Guadalupi
*/

#ifndef SSPINASSIGNMENT_H
#define SSPINASSIGNMENT_H

#include "constants.h"

#define SDCARD_DET_PIN    24
#define SDCARD_CS_PIN     36
#define SDCARD_MOSI_PIN   11
#define SDCARD_MISO_PIN   12
#define SDCARD_SCK_PIN    14
#define MATRIX_PIN        26  //25
#define LEDs_PIN          33  //4

#define LOW_PASS_POT      32
#define TEMPO_POT         35
#define BIT_CRUSH_POT     15

#define KEYPAD_RST        8
#define KEYPAD_IRQ        7

#define ENC_PIN1          29
#define ENC_PIN2          30

#define CLKOUT_PIN        10
#define CLKIN_PIN         9
#define MASTERRST_PIN     5

const int cvPins[NUMBER_OF_CVTRACKS] = {0, 1, 2, 3};

#endif
