/*
   SHAPESHIFTER DIY OPEN SOURCE DRUM MACHINE
   by FASELUNARE.COM

   https://github.com/faselunare/shapeshifter
   Released under the GPLv3 license.

  Author: Arturo Guadalupi
*/

#ifndef SSCONSTANTS_H
#define SSCONSTANTS_H

#define BUTTON_1                  0
#define BUTTON_2                  1
#define BUTTON_3                  2
#define BUTTON_4                  3
#define BUTTON_5                  4
#define BUTTON_6                  5
#define BUTTON_7                  6
#define BUTTON_8                  7
#define BUTTON_9                  8
#define BUTTON_10                 9
#define BUTTON_11                 10
#define BUTTON_12                 11
#define BUTTON_13                 12
#define BUTTON_14                 13
#define BUTTON_15                 14
#define BUTTON_16                 15

#define BUTTON_A                  16
#define BUTTON_B                  17
#define BUTTON_C                  18
#define BUTTON_D                  19
#define BUTTON_E                  20
#define BUTTON_PLAY               21
#define BUTTON_ENC                22
#define BUTTON_SAVE               23
#define BUTTON_LOAD               24

#define NUMBER_OF_COLORS          3
#define NUMBER_OF_TRACKS          8
#define NUMBER_OF_CVTRACKS        4
#define NUMBER_OF_AUDIOTRACKS     4
#define NUMBER_OF_SUBPATTERNS     4
#define NUMBER_OF_STEPS           16

#define TRACK_A                   0
#define TRACK_B                   1
#define TRACK_C                   2
#define TRACK_D                   3

#define FUNCTION_A                0
#define FUNCTION_B                1
#define FUNCTION_C                2
#define FUNCTION_D                3
#define FUNCTION_E                4
#define FUNCTION_PLAY             5
#define FUNCTION_SAVE             6
#define FUNCTION_LOAD             7
#define FUNCTON_ENC               8
#define NO_FUNCTION               255

#define NUMBER_OF_FUNCTIONS_LEDS  8

#define MATRIX_LENGTH             128
#define LEDs_LENGTH               55

#define MIN_TEMPO                 20
#define DEFAULT_TEMPO             80
#define MAX_TEMPO                 320

#endif
