/*
   SHAPESHIFTER DIY OPEN SOURCE DRUM MACHINE
   by FASELUNARE.COM

   https://github.com/faselunare/shapeshifter
   Released under the GPLv3 license.

  Author: Arturo Guadalupi
*/

#ifndef SSMEMORY_H
#define SSMEMORY_H

#include <ArduinoJson.h>
#include "Arduino.h"
#include <SD.h>
#include "../../constants.h"
#include "../../structures.h"

class SSMemoryClass {
  public:
    void save(struct trackInfo *tracks, uint8_t memorySlot);
    void load(struct trackInfo *tracks, uint8_t memorySlot);
};

extern SSMemoryClass SSMemory;

#endif
