/*
   SHAPESHIFTER DIY OPEN SOURCE DRUM MACHINE
   by FASELUNARE.COM

   https://github.com/faselunare/shapeshifter
   Released under the GPLv3 license.

  Author: Arturo Guadalupi
*/

#include "SSPattern.h"

void SSPatternClass::set(uint16_t thisPattern) {
  pattern = thisPattern;
}

void SSPatternClass::update(uint8_t position) {
  if (bitRead(pattern, position)) {
    bitClear(pattern, position);
  }
  else {
    bitSet(pattern, position);
  }
}

uint16_t SSPatternClass::getPattern() {
  return pattern;
}

SSPatternClass SSPattern;
