/*
   SHAPESHIFTER DIY OPEN SOURCE DRUM MACHINE
   by FASELUNARE.COM

   https://github.com/faselunare/shapeshifter
   Released under the GPLv3 license.

  Author: Arturo Guadalupi
*/

#ifndef SSPATTERN_H
#define SSPATTERN_H

#include "Arduino.h"

class SSPatternClass {
  public:
    void set(uint16_t pattern);
    void update(uint8_t position);
    uint16_t getPattern();

  private:
    uint16_t pattern = 0;
};

extern SSPatternClass SSPattern;

#endif
